var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;

class FormItemCtl extends CtlBase {
    constructor() {
        super("configmag", CtlBase.getServiceName(FormItemCtl));
        this.formitemSve = system.getObject("service.configmag.formitemSve");
    }

    /**
     * 重写添加方法
     * @param pobj
     * @returns {Promise<void>}
     */
    async create(pobj){
        let result = this.formitemSve.createItem(pobj);
        return result;
    }

    /**
     * 重写删除
     * @param pobj
     * @returns {Promise<void>}
     */
    async delete(pobj){
        let result = this.formitemSve.deleteItem(pobj);
        return result;
    }
}

module.exports = FormItemCtl;
